%{?mingw_package_header}

# first two digits of version
%global release_version %(echo %{version} | awk -F. '{print $1"."$2}')

Name:           mingw-atk
Version:        2.38.0
Release:        %mkrel 1
Summary:        MinGW Windows Atk library

License:        LGPLv2+
Group:          Development/Other
URL:            http://projects.gnome.org/accessibility/
Source0:        https://download.gnome.org/sources/atk/%{release_version}/atk-%{version}.tar.xz

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 107
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-win-iconv
BuildRequires:  mingw32-gettext
BuildRequires:  mingw32-glib2

BuildRequires:  mingw64-filesystem >= 107
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-binutils
BuildRequires:  mingw64-win-iconv
BuildRequires:  mingw64-gettext
BuildRequires:  mingw64-glib2

BuildRequires:  gcc
BuildRequires:  meson
BuildRequires:  pkgconfig
# Need native one too for msgfmt
BuildRequires:  gettext
# Need native one too for  glib-genmarshal
BuildRequires:  pkgconfig(glib-2.0)


%description
MinGW Windows Atk library.


# Win32
%package -n mingw32-atk
Summary:        MinGW Windows Atk library
Requires:       pkgconfig

%description -n mingw32-atk
MinGW Windows Atk library.

%package -n mingw32-atk-static
Summary:        Static version of the MinGW Windows Atk library
Requires:       mingw32-atk = %{version}-%{release}
Group:          Development/Other

%description -n mingw32-atk-static
Static version of the MinGW Windows Atk library.

# Win64
%package -n mingw64-atk
Summary:        MinGW Windows Atk library
Requires:       pkgconfig

%description -n mingw64-atk
MinGW Windows Atk library.

%package -n mingw64-atk-static
Summary:        Static version of the MinGW Windows Atk library
Requires:       mingw64-atk = %{version}-%{release}
Group:          Development/Other

%description -n mingw64-atk-static
Static version of the MinGW Windows Atk library.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n atk-%{version}


%build
%mingw_meson --default-library=both -Dintrospection=false
%mingw_ninja


%install
%mingw_ninja_install

%mingw_find_lang atk10


# Win32
%files -n mingw32-atk -f mingw32-atk10.lang
%license COPYING
%{mingw32_bindir}/libatk-1.0-0.dll
%{mingw32_includedir}/atk-1.0
%{mingw32_libdir}/libatk-1.0.dll.a
%{mingw32_libdir}/pkgconfig/atk.pc

%files -n mingw32-atk-static
%{mingw32_libdir}/libatk-1.0.a

# Win64
%files -n mingw64-atk -f mingw64-atk10.lang
%license COPYING
%{mingw64_bindir}/libatk-1.0-0.dll
%{mingw64_includedir}/atk-1.0
%{mingw64_libdir}/libatk-1.0.dll.a
%{mingw64_libdir}/pkgconfig/atk.pc

%files -n mingw64-atk-static
%{mingw64_libdir}/libatk-1.0.a

  


%changelog
* Thu Apr 07 2022 tv <tv> 2.38.0-1.mga9
+ Revision: 1847062
- Update to 2.38.0
- Drop unsupported meson options
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Wed Apr 08 2020 daviddavid <daviddavid> 2.36.0-1.mga8
+ Revision: 1565561
- new version: 2.36.0

* Sun Feb 16 2020 umeabot <umeabot> 2.34.1-2.mga8
+ Revision: 1531276
- Mageia 8 Mass Rebuild

* Tue Sep 10 2019 ovitters <ovitters> 2.34.1-1.mga8
+ Revision: 1439326
- new version 2.34.1

* Mon Sep 09 2019 ovitters <ovitters> 2.34.0-1.mga8
+ Revision: 1438810
- new version 2.34.0

* Wed Aug 28 2019 daviddavid <daviddavid> 2.33.3-1.mga8
+ Revision: 1434790
- new version: 2.33.3
- switch to meson build system

* Thu Sep 20 2018 umeabot <umeabot> 2.28.1-2.mga7
+ Revision: 1279524
- Mageia 7 Mass Rebuild

* Sat Aug 04 2018 daviddavid <daviddavid> 2.28.1-1.mga7
+ Revision: 1247185
- new version: 2.28.1

* Thu Apr 07 2016 tv <tv> 2.20.0-1.mga6
+ Revision: 999146
- new release

* Tue Apr 05 2016 tv <tv> 2.18.0-1.mga6
+ Revision: 998595
- new release

* Mon Feb 08 2016 umeabot <umeabot> 2.10.0-4.mga6
+ Revision: 945564
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.10.0-3.mga5
+ Revision: 742463
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.10.0-2.mga5
+ Revision: 682406
- Mageia 5 Mass Rebuild

* Wed Feb 05 2014 ovitters <ovitters> 2.10.0-1.mga5
+ Revision: 582764
- new version 2.10.0

* Sat Oct 19 2013 umeabot <umeabot> 2.9.4-2.mga4
+ Revision: 536322
- Mageia 4 Mass Rebuild

* Sun Sep 22 2013 neoclust <neoclust> 2.9.4-1.mga4
+ Revision: 483391
- imported package mingw-atk

